Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## de.grogra.xl.impl.base
Class Graph.QState

    java.lang.Object
      de.grogra.xl.query.QueryState
          de.grogra.xl.impl.base.Graph.QState

Enclosing class:
  Graph

    public class Graph.QState

extends QueryState

Nested Class Summary

Nested classes/interfaces inherited from class de.grogra.xl.query.QueryState
`QueryState.Break`

Field Summary

Fields inherited from class de.grogra.xl.query.QueryState
`BINDING_MATCHED, BINDING_MISMATCHED, BINDING_PERFORMED, userIStack0, userStack0, userStack1`

Method Summary
`protected boolean` | `allowsNoninjectiveMatches()`
`protected boolean` | `excludeFromMatch(java.lang.Object node, boolean context)`
`void` | `injective()`
`void` | `noninjective()`

Methods inherited from class de.grogra.xl.query.QueryState
`abind, abound, amatch, breakMatching, dbind, dbound, dispose, dmatch, fbind, fbound, fmatch, getFirstNodeData, getGraph, getInValue, getModel, getNodeData, getOutValue, hasInVariable, hasOutVariable, ibind, ibound, imatch, initialize, isBound, isNull, lbind, lbound, lmatch, nullbind, unbind, visitMatch`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### allowsNoninjectiveMatches

    protected boolean allowsNoninjectiveMatches()

  Overrides:
    `allowsNoninjectiveMatches` in class `QueryState`

### excludeFromMatch

    protected boolean excludeFromMatch(java.lang.Object node,
                                       boolean context)

  Overrides:
    `excludeFromMatch` in class `QueryState`

### injective

    public void injective()

### noninjective

    public void noninjective()

Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD